`Apache Hadoop YARN API 3.2.4` | Overview | Package | Class | Statistics | Help
| Generated by JDiff
PREV CLASS NEXT CLASS FRAMES NO FRAMES | DETAIL: CONSTRUCTORS | METHODS | FIELDS

## Class org.apache.hadoop.yarn.api.records.`ApplicationReport`

Added Methods
`String` `getAmNodeLabelExpression`() | Get the default Node Label expression for all the application's containers
`String` `getAppNodeLabelExpression`() | Get the default Node Label expression for all the application's containers
`Map` `getApplicationTimeouts`() |
`long` `getLaunchTime`() |
`LogAggregationStatus` `getLogAggregationStatus`() | Get log aggregation status for the application
`Priority` `getPriority`() | Get priority of the application
`long` `getSubmitTime`() |
`boolean` `isUnmanagedApp`() | @return true if the AM is not managed by the RM
`void` `setAmNodeLabelExpression`(`String`) |
`void` `setAppNodeLabelExpression`(`String`) |
`void` `setUnmanagedApp`(`boolean`) | @param unmanagedApplication true if RM should not manage the AM

`Apache Hadoop YARN API 3.2.4` | Overview | Package | Class | Statistics | Help
PREV CLASS NEXT CLASS FRAMES NO FRAMES |